html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}


section {
    padding: 60px 0;
}

.icon-pointer {
    cursor: pointer;
}



.icon-pointer-disabled {
    pointer-events: none;
    opacity: 0.5; /* Visually indicate it's disabled */
    cursor: default;
}

.error {
    border: 2px solid red;
}

.modal-content-advsrch {
    height: 720px; /* Adjust the height as needed */
}

.modal-advsrchtable {
    max-height: 450px; /* Set the maximum height as needed */
    overflow-y: auto; /* Enable vertical scrolling */
    width: 100%;
    /*min-width: 800px;*/ /* Set your desired fixed width */
    /*overflow-x: auto;*/
}

/*#AdvSearchTableWrapper {
    max-height: 900px;*/ /* Set the maximum height as needed */
    /*overflow-y: auto;*/ /* Enable vertical scrolling */
/*}*/



.advsrchtable-fixed-header {
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
 }

.advsrchtable-fixed-header thead {
    position: sticky;
    top: 0;
    z-index: 1;
    background-color: white; /* Set the background color of the header */
}

.text-center {
    text-align: center;
}

.small-font {
    font-size: 14px; /* Adjust the size as needed */
}
.tiny-font {
    font-size: 12px; /* Adjust the size as needed */
}

.subclause-font {
    font-size: 14px; /* Adjust the size as needed */
    font-weight:bold;
}

.clausedetails-font {
    font-size: 12px; /* Adjust the size as needed */
    font-weight: bold;
}

.scrollable-span {
    display: inline-block;
    width: 100%; /* Set the desired width */
    height: 100px; /* Set the desired height */
    overflow: auto; /* Add scrollbars when content overflows */
    border: 1px solid #ccc; /* Optional: Add a border for better visibility */
    padding: 5px; /* Optional: Add padding */
    border-radius: 10px; /* Rounded corners */
}
.scrollable-pre {
    white-space: pre-wrap; /* Preserve formatting and wrap lines */
    width: 100%; /* Set the desired width */
    height: 150px; /* Set the desired height */
    border: 1px solid #ccc; /* Optional: Add a border for better visibility */
    padding: 10px; /* Optional: Add padding */
    overflow-y: auto; /* Add a vertical scrollbar if content overflows */
    overflow-wrap: break-word; /* Ensures long words break and wrap */
    /* Font styling */
    font-family: Arial, Helvetica, sans-serif; /* Set the font family */
    font-size: 14px; /* Set the font size */
    color: #333; /* Set the font color */
    background-color: #f0f0f0; /* Optional: Set background color */
    border-radius: 10px; /* Rounded corners */
}


.formatted-text {
    white-space: pre-wrap; /* Preserve newlines and wrap text */
    word-wrap: break-word; /* Break long words if necessary */
}


/*use in schd details */
.card {
    height: 500px; /* Adjust the fixed height of the card */
}

.card-body-scroll {
    max-height: 300px; /* Limit the height of the scrollable body */
    overflow-y: auto; /* Add vertical scrollbar */
}

.card-body {
    padding: 5px;
}

.schddtl-fs {
    font-size: 12px; /* Adjust the font size as needed */
}

.readonly-bg {
    background-color: #f0f0f0; /* Change this to your desired color */
}


.disabled-span {
    pointer-events: none;
    opacity: 0.5; /* Adjust this to your preference */
    cursor: not-allowed;
}